Pagekit Docs

Reference

API Reference

Base URL: https://api.pagekit.app/v1

All requests require Authorization: Bearer pk_live_…, except /health.

Posts

MethodPathDescription
GET/postsList posts (filter, sort, paginate)
GET/posts/:idRetrieve a post
GET/posts/slug/:slugRetrieve by slug
POST/postsCreate a post
PATCH/posts/:idUpdate a post
DELETE/posts/:idDelete a post

Authors

MethodPath
GET/authors
GET/authors/:id

Categories

MethodPath
GET/categories
GET/categories/:slug

Tags

MethodPath
GET/tags

Media

MethodPath
GET/media
POST/media
DELETE/media/:id

Account

MethodPathDescription
GET/meVerify a key and return its project
GET/healthLiveness probe (public)

Paginated response

{
  "data": [],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 42,
    "totalPages": 3,
    "hasNextPage": true,
    "hasPreviousPage": false
  }
}

Error response

{
  "error": {
    "message": "Request body failed validation.",
    "code": "validation_error",
    "details": [{ "path": "title", "message": "Title is required." }]
  }
}